/* Incrementation sur une classe temps        */

public class IncrementationTempsEnConsole {

/* Type agrege de stockage des informations   */
/* relatives a un temps code sous la forme    */
/* heure, minute, seconde                     */

  static class Temps {
    int h = 0;
    int mn = 0;
    int s = 0; };

/* Programme principal                        */

  public static void main(String [] args) {
    Console.setTitle("IncrementationTemps");
    Temps t = new Temps();
    int nbs;
    Console.afficherln("SVP, t (h, mn & s)?");
    t.h = Console.saisirInt();
    t.mn = Console.saisirInt();
    t.s = Console.saisirInt();
    Console.afficherln("SVP, Increment?");
    nbs = Console.saisirInt();
    t.s = t.s+nbs;
    if ( t.s >= 60 ) {
      t.mn = t.mn+(t.s/60);
      t.s = t.s%60;
      if ( t.mn >= 60 ) {
        t.h = (t.h+(t.mn/60))%24;
        t.mn = t.mn%60; } }
    Console.afficherln(t.h,":",t.mn,":",t.s);
  }
}